onEvent('recipes', e => {



  e.shaped('exnihilosequentia:mesh_flint', [
    '323',
    '313',
    '323'
  ], {
    1: 'exnihilosequentia:mesh_string', 2: Item.of('tconstruct:large_plate', '{Material:"tconstruct:flint"}'), 3: 'minecraft:flint'
  })



  e.shaped('exnihilosequentia:hammer_wood', [
    '  1',
    ' 2 ',
    '2  '
  ], {
    1: Item.of('tconstruct:hammer_head', '{Material:"tconstruct:wood"}'), 2: 'minecraft:stick'
  })

  e.shaped('exnihilosequentia:hammer_stone', [
    '  1',
    ' 3 ',
    '2  '
  ], {
    1: Item.of('tconstruct:hammer_head', '{Material:"tconstruct:stone"}'), 2: 'minecraft:stick', 3: 'exnihilosequentia:hammer_wood'
  })

  e.shaped('exnihilosequentia:hammer_iron', [
    '  1',
    ' 3 ',
    '2  '
  ], {
    1: Item.of('tconstruct:hammer_head', '{Material:"tconstruct:iron"}'), 2: 'minecraft:stick', 3: 'exnihilosequentia:hammer_stone'
  })

  e.shaped('exnihilosequentia:hammer_diamond', [
    ' 31',
    '343',
    '23 '
  ], {
    1: Item.of('tconstruct:hammer_head', '{Material:"tconstruct:iron"}'), 2: 'minecraft:stick', 3: 'minecraft:diamond', 4: 'exnihilosequentia:hammer_iron'
  })

  e.shaped('exnihilosequentia:sieve', [
    '1 1',
    '121',
    '3 3'
  ], {
    1: '#minecraft:planks', 2: 'tconstruct:pattern', 3: 'minecraft:stick'
  })

  e.shaped('exnihilosequentia:mesh_string', [
    '121',
    '212',
    '121'
  ], {
    1: 'immersiveengineering:hemp_fiber', 2: 'minecraft:string'
  })

  e.shaped('exnihilosequentia:porcelain_clay', [
    '12 ',
    '345',
    ' 67'
  ], {
    1: 'minecraft:blaze_powder', 2: 'exnihilosequentia:pebble_granite', 3: 'exnihilosequentia:pebble_diorite', 4: 'minecraft:clay', 5: 'exnihilosequentia:pebble_andesite', 6: 'exnihilosequentia:pebble_stone', 7: 'minecraft:bone_meal'
  })

  e.shaped('exnihilosequentia:crucible_fired', [
    '111',
    '121',
    '111'
  ], {
    1: 'minecraft:blaze_powder', 2: 'exnihilosequentia:crucible_unfired'
  })

  e.shaped('exnihilosequentia:barrel_stone', [
    '131',
    '121',
    '111'
  ], {
    1: 'exnihilosequentia:porcelain_clay', 2: 'compressium:cobblestone_4', 3: 'exnihilosequentia:barrel_wood'
  })

  e.shaped('exnihilosequentia:crucible_wood', [
    '1 1',
    '121',
    '111'
  ], {
    1: 'minecraft:oak_planks', 2: 'exnihilosequentia:barrel_wood'
  })
  e.shaped('exnihilosequentia:mesh_iron', [
    '131',
    '222',
    '131'
  ], {
    1: 'minecraft:iron_ingot', 2: 'exnihilosequentia:mesh_flint', 3: Item.of('tconstruct:large_plate', '{Material:"tconstruct:iron"}')
  })
  e.shaped('exnihilosequentia:mesh_diamond', [
    '121',
    '232',
    '121'
  ], {
    1: 'minecraft:diamond', 2: 'exnihilosequentia:mesh_iron', 3: 'minecraft:diamond_block'
  })
  e.shaped('exnihilosequentia:mesh_emerald', [
    '121',
    '232',
    '121'
  ], {
    1: 'minecraft:emerald', 2: 'exnihilosequentia:mesh_diamond', 3: 'minecraft:emerald_block'
  })

  e.shaped('exnihilosequentia:mesh_netherite', [
    '121',
    '232',
    '121'
  ], {
    1: 'minecraft:emerald_block', 2: 'exnihilosequentia:mesh_emerald', 3: 'minecraft:netherite_block'
  })


  e.remove({ output: '#exnihilosequentia:hammer' })
  e.remove({ output: '#exnihilosequentia:sieves' })
  e.remove({ output: 'exnihilosequentia:mesh_string' })
  e.remove({ output: 'exnihilosequentia:seed_oak' })
  e.remove({ output: 'exnihilosequentia:seed_spruce' })
  e.remove({ output: 'exnihilosequentia:seed_birch' })
  e.remove({ output: 'exnihilosequentia:seed_jungle' })
  e.remove({ output: 'exnihilosequentia:seed_acacia' })
  e.remove({ output: 'exnihilosequentia:seed_darkoak' })
  e.remove({ output: 'exnihilosequentia:mesh_flint' })
  e.remove({ output: 'exnihilosequentia:porcelain_clay' })
  e.remove({ output: 'exnihilosequentia:barrel_stone' })
  e.remove({ output: 'exnihilosequentia:crucible_wood' })
  e.remove({ output: 'exnihilosequentia:mesh_iron' })
  e.remove({ output: 'exnihilosequentia:mesh_diamond' })
  e.remove({ output: 'exnihilosequentia:mesh_emerald' })
  e.remove({ output: 'exnihilosequentia:mesh_netherite' })


})
